#include <stdio.h>
#include <stdlib.h>

int main()
{
    char s[3000];
    int i,j,duzina,k[3000],p,skor;
    scanf("%s", &s);
    duzina= strlen(s);
    p=0;
    skor=0;
    for(i=0;i<duzina;i++)
        for(j=0;j<duzina;j++)
        {
         p++;
         if(s[i]=s[j])
         {
            k[i]++;
            if(p%2!=0)
            {
                skor++;4

                p=0;
            }
            else
            {
                p=0;
            }
         }
        }
    printf("%d", skor);
    return 0;
}